#include <iostream>

// int Sum(int arg) {
//     return arg;
// }

template<typename T>
T Sum(T arg) {
    return arg;
}

template<typename T, typename... U> 
T Sum(T start, U... args) {
    return start + Sum(args...);
}

int main() {
    std::cout << Sum(1) << std::endl;
    std::cout << Sum(1,2,3,4) << std::endl;
    std::cout << Sum(1,2,3,4,10,30) << std::endl;
    std::cout << Sum(1,2,3.3,4,10,30) << std::endl;
    std::cout << Sum<double,double, double, double>(1,2,3.3,4,10,30) << std::endl;
    return 0;
}